package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.MessageSendCondition;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface MessageSendConditionService {
	MessageSendCondition get(String id);
	boolean exist(String id);
	int insert(MessageSendCondition model);
	int update(MessageSendCondition model);
	int delete(String id);
	List<MessageSendCondition> list();
	Page<MessageSendCondition> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    List<String> findNewMessage(Map<String, Object> searchParams);
}